---
- name: apply nextcloud role
  collections:
    - community.general
    - ansible.posix
  hosts: web_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
  pre_tasks:
    - name: install stuffs to be integrated later in salt
      dnf:
        name: ['epel-release', 'policycoreutils-python-utils', 'python3-cryptography', 'libselinux-python3']
        state: present
      when: ansible_os_family == 'Rocky'
    - name: add hostname in hosts
      blockinfile:
        dest: /etc/hosts
        #content: '{{ ansible_host }}	{{ nc_global_name }}'
        content: '{{ ansible_host }} {{ ansible_fqdn }}'
        state: present
  roles:
    #- role: mariadb
    #  vars:
    #    mariadb_datadir: "/storage/nextcloud/mysql"
    #- role: web_php
    - role: nextcloud
      vars:
        NEXTCLOUD_VERSION: "25.0.6"
        nc_data_dir: /storage/nextcloud/data
        objectstore_s3_install: false
  environment:
    http_proxy: "http://proxy.sipr.ucl.ac.be:889"
    https_proxy: "http://proxy.sipr.ucl.ac.be:889"
    no_proxy: "127.0.0.1, localhost, 192.168.64.68, 192.168.64.73, 192.168.64.51, nextcloud.test, ceph.cism.ucl.ac.be, 192.168.64.68"
